Subject: [PATCH 1/6] ARM: OMAP2+: Remove board-4430sdp.c

From: [email-masked] (Tony Lindgren)
Date: Mon, 8 Jul 2013 02:34:11 -0700

* Russell King - ARM Linux <[email-masked]> [130706 06:42]:
> 
> Okay, I guessed that the OMAP4430SDP was "blaze" (it's not obvious to
> use internal codenames for boards when they're known as "SDP" etc -
> especially when they have stickers on them saying that they're "SDP".)

Agreed, let's update that.
 
> With that worked out, throwing my standard printascii() hack into the
> kernel results in boot messages... up to the point where the timer is
> calibrated.  So, it looks like either interrupts, clocks, or the OMAP
> timers are non-functional with DT based kernels on the SDP board.

Hey the good news is that you've updated your build system to support
also appended dtb images, thanks for doing that!
 
> Any ideas?

Looks like you need some things updated and added to your .config.

-# CONFIG_OMAP_MUX is not set
+CONFIG_MACH_OMAP_GENERIC=y

That we should nowadays always select though.

CONFIG_REGULATOR_FIXED_VOLTAGE=y

This you will need for Ethernet.

CONFIG_PINCTRL_SINGLE=y

This is good to have, will be needed especially for for UART
wake-up events with deeper idle modes enabled once the pending
pinctrl patches are merged.

Also, can you please add these for NFSroot:

CONFIG_IP_PNP=y
CONFIG_IP_PNP_DHCP=y
CONFIG_ROOT_NFS=y

That way I can also boot test your .config on regular basis ;)

Then there's a pending patch to change drivers/i2c/busses/i2c-omap.c
to use just a regular module_init, that should remove the i2c timeout
errors as then deferred probe will work properly.

BTW, maybe add a link to your build system to www.arm.linux.org.uk
developer page too? At least I could not find a link to it.

Regards,

Tony